<?php

/* do NOT run this script through a web browser */
if (!isset($_SERVER["argv"][0]) || isset($_SERVER['REQUEST_METHOD'])  || isset($_SERVER['REMOTE_ADDR'])) {
        die("<br><strong>This script is only meant to run at the command line.</strong>");
}

$dir = dirname(__FILE__);
if ( stristr( PHP_OS, 'WIN' ) ) {
    // Windows
    $mainDir = preg_replace("/plugins\\nmidWebService/","",$dir);
} else {
    // Other Os
    $mainDir = preg_replace("/plugins\/nmidWebService/","",$dir);
}
chdir($mainDir);


include("./include/global.php");
include_once("./lib/rrd.php");


chdir($dir);

/* process calling arguments */
$parms = $_SERVER['argv'];
array_shift($parms);
$local_graph_id = $parms[0];
$rra_id = $parms[1];
$graph_start = $parms[2];
$graph_end = $parms[3];
$graph_height = $parms[4];
$graph_width = $parms[5];

$graph_data_array = array();
$graph_data_array["graph_start"] = $graph_start;
$graph_data_array["graph_end"] = $graph_end;
$graph_data_array["graph_height"] = $graph_height;
$graph_data_array["graph_width"] = $graph_width;
if (!empty($parms[6])) {
        $graph_nolegend  = $parms[6];
	if ( $graph_nolegend == 1 ) {
	        $graph_data_array["graph_nolegend"] = $graph_nolegend;
	}
}

print rrdtool_function_graph($local_graph_id, $rra_id, $graph_data_array);
?>
