<?php

/**************************************************************************
Thold Functions
**************************************************************************/

/**
 * Retrieve list of weathermaps for this user
 * @param string $s_sessionKey
 * @return string
 */
function getWeathermapsList( $s_sessionKey )
{
    if  ( isSessionActive( $s_sessionKey )  )
    {
	$s_sessionKey = getTextEscaped( $s_sessionKey );
        $i_db_userId = getDBValue('UserId','select UserId from plugin_nmidWebService_Mobile_Sessions where Sessionkey="'.$s_sessionKey.'"');
        
	$s_mapList = '';
        $s_query = "select titlecache,filehash from weathermap_maps,weathermap_auth where weathermap_auth.userid = ".$i_db_userId." AND weathermap_maps.id = weathermap_auth.mapid";

        $o_result = mysql_query( $s_query );
        while ( $a_row = mysql_fetch_assoc( $o_result ) ) {
                $s_mapList = $s_mapList .
                        $a_row['titlecache'].';'.
                        $a_row['filehash'].
                        "\n";
        }

        // Remove the last newline character
        $s_mapList = preg_replace("/\n$/","",$s_mapList);

        // Free the result set
        mysql_free_result( $o_result );

        return  $s_mapList;
    }
    else
    {
        return "Error: Wrong WebService Password";
    }
}


/**
  * Check if user has Weathermap access
  * @param string $s_sessionKey
  * @return boolean
  */
function isWeatherMapEnabled( $s_sessionKey ) 
{
    if  ( isSessionActive( $s_sessionKey )  )
    {
	$s_sessionKey = getTextEscaped( $s_sessionKey );
        $i_db_userId = getDBValue('UserId','select UserId from plugin_nmidWebService_Mobile_Sessions where Sessionkey="'.$s_sessionKey.'"');

	$s_hasAccess = false;
	$s_query = '
		select 
			count(user_auth_realm.user_id) as hasAccess
		from 
			plugin_realms, user_auth_realm
		where 
			user_auth_realm.user_id = '.$i_db_userId.'
		AND
			user_auth_realm.realm_id =  ( plugin_realms.id + 100 )
		AND
			plugin_realms.display = "Plugin -> Weathermap: View"
	';
	$o_result = mysql_query( $s_query );
	$a_row = mysql_fetch_assoc( $o_result );
	if ( $a_row['hasAccess'] > 0 ) {	
		$s_hasAccess = true;
	}
        // Free the result set
        mysql_free_result( $o_result );

	return $s_hasAccess;

    }
    else
    {
        return false;
    }
}

/**
 * Graph retrieval function
 *
 * @param string $s_sessionKey
 * @param string $s_wm_filehash
 * @param boolean $is_widget
 * @return string
 */
function getWeathermapImage($s_sessionKey, $s_wm_filehash, $is_widget)
{
    if  ( isSessionActive( $s_sessionKey )  )
    {
	$s_sessionKey = getTextEscaped( $s_sessionKey );
        $i_db_userId = getDBValue('UserId','select UserId from plugin_nmidWebService_Mobile_Sessions where Sessionkey="'.$s_sessionKey.'"');
        $file = '../weathermap/output/'.$s_wm_filehash.'.png';
	if (  file_exists($file) ) {
		if ( $is_widget ) {
                        $tmp_image = @ImageCreateFromPNG ($file);

                        $width = imagesx($tmp_image);
                        $height = imagesy($tmp_image);
			$tmp_image_fn = "tmp/wwm_".time()."-".$s_sessionKey.".png";
			$i_width = 400;
			$i_height = 400;

                        $new_image = imagecreatetruecolor($i_width,$i_height);
                        ImageCopyResampled($new_image, $tmp_image,0,0,0,0, $i_width,$i_height, $width, $height);
                        imagealphablending ( $new_image, FALSE );
                        imagepng($new_image, $tmp_image_fn);

                        // open the freshly created image and read its content
                        $h_handle = fopen( $tmp_image_fn, "rb" );
                        $s_contents = fread( $h_handle, filesize( $tmp_image_fn ) );
                        fclose( $h_handle );

                        // delete the temporary file
                        unlink( $tmp_image_fn );

                        // return the image as a base64 encoded string
                        return base64_encode( $s_contents );
		}
		else
		{
        	
		$handle = fopen($file, "rb");
	        $contents = fread($handle, filesize($file));
        	fclose($handle);

	        return base64_encode($contents);
		}
	}
	else 
	{
		return 'ERRORIMAGE';
	}
    }
    else
    {
        return 'ERRORIMAGE';
    }
}



?>
